package com.ejie.p06b.datatype.model;

import java.io.Serializable;

/**
 * XXXX
 * Inserte aquí la descripción del tipo.
 * Fecha de creación: (19/01/2017)
 */
public class P06B61T00Datatype implements Serializable {
	
	private String expedi = "";
	private String cif = "";
	private String entidad = "";
	private String calle = "";
	private String portal = "";
	private String piso = "";
	private String letra = "";
	private String codpro = "";
	private String codmun = "";
	private String locali = "";
	private String codpst = "";
	private String clavecat = "";
	private String fhInscrip = "";
	private byte altaBaja;
	private int operacion = -1;
	private int aprobado = 1;
	private P06B61T00Datatype datos61Originales;

	public String getDomicilio() {
		return calle + " " + portal + " " + piso + " " + letra;
	}

	/* Getters y setters*/
	public String getExpedi() {
		return expedi;
	}
	public void setExpedi(String expedi) {
		this.expedi = expedi;
	}
	public String getCif() {
		return cif;
	}
	public void setCif(String cif) {
		this.cif = cif;
	}
	public String getEntidad() {
		return entidad;
	}
	public void setEntidad(String entidad) {
		this.entidad = entidad;
	}
	public String getCalle() {
		return calle;
	}
	public void setCalle(String calle) {
		this.calle = calle;
	}
	public String getPortal() {
		return portal;
	}
	public void setPortal(String portal) {
		this.portal = portal;
	}
	public String getPiso() {
		return piso;
	}
	public void setPiso(String piso) {
		this.piso = piso;
	}
	public String getLetra() {
		return letra;
	}
	public void setLetra(String letra) {
		this.letra = letra;
	}
	public String getCodmun() {
		return codmun;
	}
	public void setCodmun(String codmun) {
		this.codmun = codmun;
	}
	public String getLocali() {
		return locali;
	}
	public void setLocali(String locali) {
		this.locali = locali;
	}
	public String getCodpro() {
		return codpro;
	}
	public void setCodpro(String codpro) {
		this.codpro = codpro;
	}
	public String getCodpst() {
		return codpst;
	}
	public void setCodpst(String codpst) {
		this.codpst = codpst;
	}
	public String getClavecat() {
		return clavecat;
	}
	public void setClavecat(String clavecat) {
		this.clavecat = clavecat;
	}
	/**
	 * @return the fhInscrip
	 */
	public String getFhInscrip() {
		return fhInscrip;
	}
	/**
	 * @param fhInscrip the fhInscrip to set
	 */
	public void setFhInscrip(String fhInscrip) {
		this.fhInscrip = fhInscrip;
	}

	/**
	 * @return the altaBaja
	 */
	public byte getAltaBaja() {
		return altaBaja;
	}

	/**
	 * @param altaBaja the altaBaja to set
	 */
	public void setAltaBaja(byte altaBaja) {
		this.altaBaja = altaBaja;
	}

	/**
	 * @return the operacion
	 */
	public int getOperacion() {
		return operacion;
	}
	/**
	 * @param operacion the operacion to set
	 */
	public void setOperacion(int operacion) {
		this.operacion = operacion;
	}
	/**
	 * @return the aprobado
	 */
	public int getAprobado() {
		return aprobado;
	}
	/**
	 * @param aprobado the aprobado to set
	 */
	public void setAprobado(int aprobado) {
		this.aprobado = aprobado;
	}
	/**
	 * @return the datos61Originales
	 */
	public P06B61T00Datatype getDatos61Originales() {
		return datos61Originales;
	}
	/**
	 * @param datos61Originales the datos61Originales to set
	 */
	public void setDatos61Originales(P06B61T00Datatype datos61Originales) {
		this.datos61Originales = datos61Originales;
	}

	/**
	 * @return the operacion
	 */
	public int getAltaBajaAsOperacion() {
		int altaBajaAsOperacion = -1;
		if (altaBaja==1){
			altaBajaAsOperacion = 1;
		}else if (altaBaja==2){
			altaBajaAsOperacion = 0;
		}
		return altaBajaAsOperacion;
	}
	
	/**
	 * @return the operacion
	 */
	public boolean getAltaBajaAprobable() {
		boolean bAltaBajaAprobable = false;
		if (altaBaja==1){
			if (operacion==1){
				bAltaBajaAprobable = true;
			}
		}else if (altaBaja==2){
			if (operacion==2){
				bAltaBajaAprobable = true;
			}
		}
		return bAltaBajaAprobable;
	}
	
}
